Is the Slate compatible with my device?

The Slate is compatible with the following devices and operating systems: 

iPad all Ipads (except iPad 1 and iPad 2) requires iOS9 or higher version
iPhone iPhone starting from 6 : 6, 6 Plus, 6S and 6S Plus requires iOS9 or higher version
Mac Mac computers (iMac, Mac Pro, MacBook, Macbook Air, Macbook Pro, Mac Mini) requires OSX 10.10 Yosemite or higher version
PC Pc Windows requires Windows 7 or higher version

 

Powered by Zendesk